package cn.com.ctop.job.kuaishou.handler;


import cn.com.ctop.common.module.utils.HttpUtils;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.jeecg.common.util.DateUtils;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * 供应链-快分销数据
 */
@Component
public class CheckKuaishouActivityInfoJob {

    @XxlJob("checkKuaishouActivityInfoJob")
    public void checkKuaishouActivityInfoJob() throws Exception {
        HttpUtils.httpGet("http://ruixuan.api.bjhcstszkj.cn/isv/supply_chain/addListKuaishouActivityInfo", null, null);
        XxlJobHelper.log(" --------团长查询招商活动列表，执行完成-------- ");
    }


    @XxlJob("addKuaishouActivityOpenItemList")
    public void addKuaishouActivityOpenItemList() throws Exception {
        HttpUtils.httpGet("http://ruixuan.api.bjhcstszkj.cn/isv/supply_chain/addKuaishouActivityOpenItemList", null, null);
        XxlJobHelper.log(" --------团长招商活动已报名商品列表，执行完成-------- ");
    }
}
